# PoolItemIndexLess< T > Struct Template Reference

Template providing a predicate to allow STL containers of pointers to pool items to be sorted by index. More...

`#include <oldpool.h>`

## Public Member Functions
bool | operator() (const T *lhs, const T *rhs) const
| The actual comparator.

## Detailed Description

### template<typename T>
struct PoolItemIndexLess< T >

Template providing a predicate to allow STL containers of pointers to pool items to be sorted by index.

Definition at line 163 of file oldpool.h.

## Member Function Documentation

template<typename T>

bool PoolItemIndexLess< T >::operator() | ( | const T * | lhs,
|  | const T * | rhs |
| ) |  |  | const`[inline]`

The actual comparator.

Parameters:

  | lhs | the left hand side of the comparison.
  | rhs | the right hand side of the comparison.

Returns:
  true if lhs' index is less than rhs' index.

Definition at line 170 of file oldpool.h.

The documentation for this struct was generated from the following file:

- src/oldpool.h